From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/transitions/
Date: Fri, 2 Sep 2022 13:44:05 +0000 (UTC) [thread overview]
Message-ID: <1662126190.5e6d72db15c6b701eaa765fff3d8244c3b359f72.arthurzam@gentoo> (raw)
commit: 5e6d72db15c6b701eaa765fff3d8244c3b359f72
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 2 13:24:40 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 2 13:43:10 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e6d72db
dev-python/transitions: add 0.9.0
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/transitions/Manifest | 1 +
dev-python/transitions/transitions-0.9.0.ebuild | 43 +++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/dev-python/transitions/Manifest b/dev-python/transitions/Manifest
index 8af07eb305b9..45b28a0c6dae 100644
--- a/dev-python/transitions/Manifest
+++ b/dev-python/transitions/Manifest
@@ -1 +1,2 @@
DIST transitions-0.8.11.tar.gz 1103585 BLAKE2B e91800baa5101e2654b4e88fecec8bc795329a0e43890e32f42f7777136379d9852702f7cef14da3f3c26b50ce7bf9dcf2f6d2980d4af82149d2d16ea343d826 SHA512 96c91c988db990326f50b06c7538fb806c2a5d19f950f23cd0304b40517657c888df6c09445917d5e7224c1aa1b1d8d719bd10b0e210001f15eec947681c3847
+DIST transitions-0.9.0.tar.gz 1116052 BLAKE2B 3c3f0f70029fac11b89741c17b4f8223ffff7b1f4120dbacf9047c7c9d8063df00449e7ceb378aeb6263d4f55245bb89f08f6eaa0a74948368bd0eb0227fea40 SHA512 805894ba772e4a31f1fd567d3765f8ee3f3498ca5b9dd4d5b94224722d48347a2feee284dab577eca97a748dc6f810dedf1cbc3b50f41f0ab5b65d84241b9638
diff --git a/dev-python/transitions/transitions-0.9.0.ebuild b/dev-python/transitions/transitions-0.9.0.ebuild
new file mode 100644
index 000000000000..fa5ae762680b
--- /dev/null
+++ b/dev-python/transitions/transitions-0.9.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A lightweight, object-oriented state machine implementation in Python"
+HOMEPAGE="https://github.com/pytransitions/transitions"
+SRC_URI="
+ https://github.com/pytransitions/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+ || (
+ dev-python/pygraphviz[${PYTHON_USEDEP}]
+ dev-python/graphviz[${PYTHON_USEDEP}]
+ )
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/dill[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pycodestyle[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_install() {
+ distutils-r1_src_install
+ use examples && dodoc examples/*.ipynb
+}
next reply other threads:[~2022-09-02 13:44 UTC|newest]
Thread overview: 60+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-09-02 13:44 Arthur Zamarin [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-24 13:06 [gentoo-commits] repo/gentoo:master commit in: dev-python/transitions/ Michał Górny
2024-08-07 14:10 Michał Górny
2024-07-08 19:22 Michał Górny
2024-06-01 17:27 Michał Górny
2024-06-01 10:25 Arthur Zamarin
2024-05-28 9:41 Michał Górny
2024-05-16 15:28 Michał Górny
2024-03-09 17:41 Conrad Kostecki
2023-11-24 22:48 Sam James
2022-11-03 22:37 Conrad Kostecki
2022-10-03 6:50 Michał Górny
2022-09-02 13:50 Arthur Zamarin
2022-03-27 15:15 Conrad Kostecki
2022-03-27 15:15 Conrad Kostecki
2022-03-27 15:15 Conrad Kostecki
2022-02-24 18:02 Arthur Zamarin
2021-11-04 11:02 Conrad Kostecki
2021-11-04 11:02 Conrad Kostecki
2021-11-04 11:02 Conrad Kostecki
2021-10-05 8:27 Michał Górny
2021-10-03 17:17 Conrad Kostecki
2021-10-03 17:17 Conrad Kostecki
2021-10-03 17:17 Conrad Kostecki
2021-09-02 21:00 Michał Górny
2021-07-01 21:15 Conrad Kostecki
2021-06-24 20:41 Conrad Kostecki
2021-05-09 12:51 Conrad Kostecki
2021-05-09 12:51 Conrad Kostecki
2021-05-09 12:51 Conrad Kostecki
2021-04-07 23:11 Michał Górny
2021-03-15 20:34 Conrad Kostecki
2021-03-15 20:34 Conrad Kostecki
2021-03-15 20:34 Conrad Kostecki
2021-02-13 14:31 Michał Górny
2021-01-29 22:41 Conrad Kostecki
2021-01-29 22:41 Conrad Kostecki
2021-01-29 22:41 Conrad Kostecki
2020-12-29 11:46 Michał Górny
2020-12-29 11:46 Michał Górny
2020-08-24 22:33 Conrad Kostecki
2020-08-24 22:33 Conrad Kostecki
2020-08-12 6:55 Conrad Kostecki
2020-08-12 6:01 Agostino Sarubbo
2020-08-11 11:00 Agostino Sarubbo
2020-08-09 15:53 Conrad Kostecki
2020-08-03 18:59 Conrad Kostecki
2020-08-03 18:59 Conrad Kostecki
2020-08-03 18:59 Conrad Kostecki
2020-07-11 9:34 Michał Górny
2020-05-19 21:35 Conrad Kostecki
2020-05-19 21:35 Conrad Kostecki
2020-02-04 18:09 Conrad Kostecki
2020-02-02 15:34 Michał Górny
2019-12-17 18:40 Conrad Kostecki
2019-10-03 9:40 Agostino Sarubbo
2019-10-03 8:24 Agostino Sarubbo
2019-09-24 5:01 Joonas Niilola
2019-09-24 5:01 Joonas Niilola
2019-08-02 18:16 Joonas Niilola
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1662126190.5e6d72db15c6b701eaa765fff3d8244c3b359f72.arthurzam@gentoo \
--to=arthurzam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox